[Pkg-alsa-devel] [Debian ALSA CVS] debian/alsa-driver/debian (4 files)
David B Harris
dbharris-guest@quantz.debian.org
Sun, 15 Feb 2004 00:23:35 +0100
Date: Sunday, February 15, 2004 @ 00:23:35
Author: dbharris-guest
Path: /cvsroot/pkg-alsa/debian/alsa-driver/debian
Added: patches/10_disable_gcc_version_check1.dpatch
Modified: changelog patches/00list
Removed: patches/10_disable_gcc_version_check.dpatch
Split configure/configure.in patches into two different patches for easier forward-porting.
----------------------------------------------+
changelog | 4 +
patches/00list | 2
patches/10_disable_gcc_version_check.dpatch | 92 -------------------------
patches/10_disable_gcc_version_check1.dpatch | 78 +++++++++++++++++++++
4 files changed, 83 insertions(+), 93 deletions(-)
Index: debian/alsa-driver/debian/changelog
diff -u debian/alsa-driver/debian/changelog:1.198 debian/alsa-driver/debian/changelog:1.199
--- debian/alsa-driver/debian/changelog:1.198 Mon Feb 9 06:31:50 2004
+++ debian/alsa-driver/debian/changelog Sun Feb 15 00:23:34 2004
@@ -3,6 +3,10 @@
* New upstream release.
- With this version, alsa-source now builds against 2.6.x kernels.
(Closes: none - what the hell is up with that?)
+ * David B. Harris:
+ - Split debian/patches/10_disable_gcc_version_check into two different
+ patches (one for configure.in, one for configure) to make
+ forward-porting to new versions easier.
* Unreleased.
-- Jordi Mallach <jordi@debian.org> Mon, 9 Feb 2004 13:23:32 +0100
Index: debian/alsa-driver/debian/patches/00list
diff -u debian/alsa-driver/debian/patches/00list:1.37 debian/alsa-driver/debian/patches/00list:1.38
--- debian/alsa-driver/debian/patches/00list:1.37 Mon Jan 12 12:37:02 2004
+++ debian/alsa-driver/debian/patches/00list Sun Feb 15 00:23:35 2004
@@ -1,6 +1,6 @@
04_make_minus_j_fix
09_alpha_build_fixes
-10_disable_gcc_version_check
+10_disable_gcc_version_check1
14_irqreturn_fix
15_es18xx_filter_fix
16_core_oss_framepointer
Index: debian/alsa-driver/debian/patches/10_disable_gcc_version_check.dpatch
diff -u debian/alsa-driver/debian/patches/10_disable_gcc_version_check.dpatch:1.13 debian/alsa-driver/debian/patches/10_disable_gcc_version_check.dpatch:removed
--- debian/alsa-driver/debian/patches/10_disable_gcc_version_check.dpatch:1.13 Mon Feb 9 06:23:50 2004
+++ debian/alsa-driver/debian/patches/10_disable_gcc_version_check.dpatch Sun Feb 15 00:23:35 2004
@@ -1,278 +0,0 @@
-#!/bin/sh -e
-
-# 11_makefile_conf_shell_bash.dpatch by Steve Kowalik and Herbert Xu
-
-# DP: Fix 2 glaring bashisms in Rules.make.
-
-. debian/patches/patch-opts
-
-if [ $# -ne 1 ]; then
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
- exit 1
-fi
-
-case "$1" in
- -patch) patch $patch_opts -p1 < $0;;
- -unpatch) patch $patch_opts -p1 -R < $0;;
- *)
- echo >&2 "`basename $0`: script expects -patch|-unpatch as argum
-ent"
- exit 1;;
-esac
-
-exit 0
-
-@DPATCH@
-
-diff -urNad /home/dbharris/source/debian/build/alsa-driver-1.0.2c/configure alsa-driver-1.0.2c/configure
---- /home/dbharris/source/debian/build/alsa-driver-1.0.2c/configure 2004-02-09 00:14:28.000000000 -0500
-+++ alsa-driver-1.0.2c/configure 2004-02-09 00:19:43.000000000 -0500
-@@ -3286,82 +3286,6 @@
- echo "$as_me:$LINENO: result: $kaversion" >&5
- echo "${ECHO_T}$kaversion" >&6
-
--echo "$as_me:$LINENO: checking for GCC version" >&5
--echo $ECHO_N "checking for GCC version... $ECHO_C" >&6
--ac_save_CFLAGS="$CFLAGS"
--CFLAGS="$CFLAGS $KERNEL_INC"
--if test "${kernel_gcc+set}" = set; then
-- echo $ECHO_N "(cached) $ECHO_C" >&6
--else
-- if test "$cross_compiling" = yes; then
-- kernel_compiler=""
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--#include <stdio.h>
--#include <ctype.h>
--#include "$CONFIG_SND_KERNELDIR/include/linux/compile.h"
--int main()
--{
-- FILE *f;
-- char compiler[128];
-- char *ptr, *dptr;
--#ifdef LINUX_COMPILER
-- f=fopen("./conftestdata","w");
-- if (f) {
-- for (ptr = LINUX_COMPILER, dptr = compiler; *ptr != '\0' && *ptr != ' ' && *ptr != '\t'; ptr++, dptr++)
-- *dptr = *ptr;
-- if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
-- ptr++;
-- if (!strncmp(ptr, "version", 7))
-- ptr += 7;
-- if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
-- ptr++;
-- *dptr++ = ' ';
-- for (; *ptr != '\0' && *ptr != '\n'; ptr++, dptr++)
-- *dptr = *ptr;
-- *dptr = '\t';
-- *dptr = '\0';
-- fprintf(f,"%s\n",compiler);
-- fclose(f);
-- }
-- exit(0);
--#else
-- exit(1);
--#endif
--}
--_ACEOF
--rm -f conftest$ac_exeext
--if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-- (eval $ac_link) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-- (eval $ac_try) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
-- kernel_compiler=`cat conftestdata`
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--( exit $ac_status )
--kernel_compiler=""
--fi
--rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
--fi
--
--CFLAGS="$ac_save_CFLAGS"
--my_compiler=`$CROSS_COMPILE$CC --version | head -n 1`
-
-
-
-@@ -6588,73 +6512,6 @@
-
-
-
--echo "$as_me:$LINENO: checking if tty_struct.count is an atomic_t" >&5
--echo $ECHO_N "checking if tty_struct.count is an atomic_t... $ECHO_C" >&6
--tty_count_is_atomic="0"
--ac_save_CFLAGS="$CFLAGS"
--CFLAGS="$CFLAGS -I$CONFIG_SND_KERNELDIR/include"
--cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--#define __KERNEL__
--#include <linux/tty.h>
--
--int
--main ()
--{
--
--struct tty_struct foobar;
--foobar.count.counter=0;
--exit(0);
--
-- ;
-- return 0;
--}
--_ACEOF
--rm -f conftest.$ac_objext
--if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-- (eval $ac_compile) 2>conftest.er1
-- ac_status=$?
-- grep -v '^ *+' conftest.er1 >conftest.err
-- rm -f conftest.er1
-- cat conftest.err >&5
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } &&
-- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
-- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-- (eval $ac_try) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; } &&
-- { ac_try='test -s conftest.$ac_objext'
-- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-- (eval $ac_try) 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
-- echo "$as_me:$LINENO: result: \"yes\"" >&5
--echo "${ECHO_T}\"yes\"" >&6;tty_count_is_atomic="1"
--else
-- echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--echo "$as_me:$LINENO: result: \"no\"" >&5
--echo "${ECHO_T}\"no\"" >&6;tty_count_is_atomic="0"
--fi
--rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
--CFLAGS=$ac_save_CFLAGS
--CONFIG_TTY_COUNT_ATOMIC=$tty_count_is_atomic
--if test "$CONFIG_TTY_COUNT_ATOMIC" = "1"; then
-- cat >>confdefs.h <<\_ACEOF
--#define CONFIG_TTY_COUNT_ATOMIC 1
--_ACEOF
--
--fi
--
-
- CONFIG_SND_DUMMY=""
- CONFIG_SND_VIRMIDI=""
-diff -urNad /home/dbharris/source/debian/build/alsa-driver-1.0.2c/configure.in alsa-driver-1.0.2c/configure.in
---- /home/dbharris/source/debian/build/alsa-driver-1.0.2c/configure.in 2004-02-09 00:14:50.000000000 -0500
-+++ alsa-driver-1.0.2c/configure.in 2004-02-09 00:19:40.000000000 -0500
-@@ -152,47 +152,47 @@
- AC_MSG_RESULT($kaversion)
-
- dnl Check for GCC version...
--AC_MSG_CHECKING(for GCC version)
--ac_save_CFLAGS="$CFLAGS"
--CFLAGS="$CFLAGS $KERNEL_INC"
--AC_CACHE_VAL(kernel_gcc,
--[AC_TRY_RUN([
--#include <stdio.h>
--#include <ctype.h>
--#include "$CONFIG_SND_KERNELDIR/include/linux/compile.h"
--int main()
--{
-- FILE *f;
-- char compiler[128];
-- char *ptr, *dptr;
--#ifdef LINUX_COMPILER
-- f=fopen("./conftestdata","w");
-- if (f) {
-- for (ptr = LINUX_COMPILER, dptr = compiler; *ptr != '\0' && *ptr != ' ' && *ptr != '\t'; ptr++, dptr++)
-- *dptr = *ptr;
-- if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
-- ptr++;
-- if (!strncmp(ptr, "version", 7))
-- ptr += 7;
-- if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
-- ptr++;
-- *dptr++ = ' ';
-- for (; *ptr != '\0' && *ptr != '\n'; ptr++, dptr++)
-- *dptr = *ptr;
-- *dptr = '\t';
-- *dptr = '\0';
-- fprintf(f,"%s\n",compiler);
-- fclose(f);
-- }
-- exit(0);
--#else
-- exit(1);
--#endif
--}],kernel_compiler=`cat conftestdata`,
--kernel_compiler="",
--kernel_compiler="")])
--CFLAGS="$ac_save_CFLAGS"
--my_compiler=`$CROSS_COMPILE$CC --version | head -n 1`
-+dnl AC_MSG_CHECKING(for GCC version)
-+dnl ac_save_CFLAGS="$CFLAGS"
-+dnl CFLAGS="$CFLAGS $KERNEL_INC"
-+dnl AC_CACHE_VAL(kernel_gcc,
-+dnl [AC_TRY_RUN([
-+dnl #include <stdio.h>
-+dnl #include <ctype.h>
-+dnl #include "$CONFIG_SND_KERNELDIR/include/linux/compile.h"
-+dnl int main()
-+dnl {
-+dnl FILE *f;
-+dnl char compiler[128];
-+dnl char *ptr, *dptr;
-+dnl #ifdef LINUX_COMPILER
-+dnl f=fopen("./conftestdata","w");
-+dnl if (f) {
-+dnl for (ptr = LINUX_COMPILER, dptr = compiler; *ptr != '\0' && *ptr != ' ' && *ptr != '\t'; ptr++, dptr++)
-+dnl *dptr = *ptr;
-+dnl if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
-+dnl ptr++;
-+dnl if (!strncmp(ptr, "version", 7))
-+dnl ptr += 7;
-+dnl if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
-+dnl ptr++;
-+dnl *dptr++ = ' ';
-+dnl for (; *ptr != '\0' && *ptr != '\n'; ptr++, dptr++)
-+dnl *dptr = *ptr;
-+dnl *dptr = '\t';
-+dnl *dptr = '\0';
-+dnl fprintf(f,"%s\n",compiler);
-+dnl fclose(f);
-+dnl }
-+dnl exit(0);
-+dnl #else
-+dnl exit(1);
-+dnl #endif
-+dnl }],kernel_compiler=`cat conftestdata`,
-+dnl kernel_compiler="",
-+dnl kernel_compiler="")])
-+dnl CFLAGS="$ac_save_CFLAGS"
-+dnl my_compiler=`$CROSS_COMPILE$CC --version | head -n 1`
- dnl
- dnl Test section, uncomment any of these double lines to verify the bellow code:
- dnl
Index: debian/alsa-driver/debian/patches/10_disable_gcc_version_check1.dpatch
diff -u /dev/null debian/alsa-driver/debian/patches/10_disable_gcc_version_check1.dpatch:1.1
--- /dev/null Sun Feb 15 00:23:35 2004
+++ debian/alsa-driver/debian/patches/10_disable_gcc_version_check1.dpatch Sun Feb 15 00:23:35 2004
@@ -0,0 +1,120 @@
+#!/bin/sh -e
+
+# 10_disable_gcc_version_check1.dpatch by Steve Kowalik and Herbert Xu
+
+# DP: Disable GCC version check in configure.in
+# DP: 10_disable_gcc_version_check2.dpatch is the result of running autoconf
+# DP: after this patch has been applied.
+
+. debian/patches/patch-opts
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argum
+ent"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+
+diff -urNad /home/dbharris/source/debian/build/alsa-driver-1.0.2c/configure.in alsa-driver-1.0.2c/configure.in
+--- /home/dbharris/source/debian/build/alsa-driver-1.0.2c/configure.in 2004-02-09 00:14:50.000000000 -0500
++++ alsa-driver-1.0.2c/configure.in 2004-02-09 00:19:40.000000000 -0500
+@@ -152,47 +152,47 @@
+ AC_MSG_RESULT($kaversion)
+
+ dnl Check for GCC version...
+-AC_MSG_CHECKING(for GCC version)
+-ac_save_CFLAGS="$CFLAGS"
+-CFLAGS="$CFLAGS $KERNEL_INC"
+-AC_CACHE_VAL(kernel_gcc,
+-[AC_TRY_RUN([
+-#include <stdio.h>
+-#include <ctype.h>
+-#include "$CONFIG_SND_KERNELDIR/include/linux/compile.h"
+-int main()
+-{
+- FILE *f;
+- char compiler[128];
+- char *ptr, *dptr;
+-#ifdef LINUX_COMPILER
+- f=fopen("./conftestdata","w");
+- if (f) {
+- for (ptr = LINUX_COMPILER, dptr = compiler; *ptr != '\0' && *ptr != ' ' && *ptr != '\t'; ptr++, dptr++)
+- *dptr = *ptr;
+- if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
+- ptr++;
+- if (!strncmp(ptr, "version", 7))
+- ptr += 7;
+- if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
+- ptr++;
+- *dptr++ = ' ';
+- for (; *ptr != '\0' && *ptr != '\n'; ptr++, dptr++)
+- *dptr = *ptr;
+- *dptr = '\t';
+- *dptr = '\0';
+- fprintf(f,"%s\n",compiler);
+- fclose(f);
+- }
+- exit(0);
+-#else
+- exit(1);
+-#endif
+-}],kernel_compiler=`cat conftestdata`,
+-kernel_compiler="",
+-kernel_compiler="")])
+-CFLAGS="$ac_save_CFLAGS"
+-my_compiler=`$CROSS_COMPILE$CC --version | head -n 1`
++dnl AC_MSG_CHECKING(for GCC version)
++dnl ac_save_CFLAGS="$CFLAGS"
++dnl CFLAGS="$CFLAGS $KERNEL_INC"
++dnl AC_CACHE_VAL(kernel_gcc,
++dnl [AC_TRY_RUN([
++dnl #include <stdio.h>
++dnl #include <ctype.h>
++dnl #include "$CONFIG_SND_KERNELDIR/include/linux/compile.h"
++dnl int main()
++dnl {
++dnl FILE *f;
++dnl char compiler[128];
++dnl char *ptr, *dptr;
++dnl #ifdef LINUX_COMPILER
++dnl f=fopen("./conftestdata","w");
++dnl if (f) {
++dnl for (ptr = LINUX_COMPILER, dptr = compiler; *ptr != '\0' && *ptr != ' ' && *ptr != '\t'; ptr++, dptr++)
++dnl *dptr = *ptr;
++dnl if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
++dnl ptr++;
++dnl if (!strncmp(ptr, "version", 7))
++dnl ptr += 7;
++dnl if (*ptr != '\0' && (*ptr == ' ' || *ptr == '\t'))
++dnl ptr++;
++dnl *dptr++ = ' ';
++dnl for (; *ptr != '\0' && *ptr != '\n'; ptr++, dptr++)
++dnl *dptr = *ptr;
++dnl *dptr = '\t';
++dnl *dptr = '\0';
++dnl fprintf(f,"%s\n",compiler);
++dnl fclose(f);
++dnl }
++dnl exit(0);
++dnl #else
++dnl exit(1);
++dnl #endif
++dnl }],kernel_compiler=`cat conftestdata`,
++dnl kernel_compiler="",
++dnl kernel_compiler="")])
++dnl CFLAGS="$ac_save_CFLAGS"
++dnl my_compiler=`$CROSS_COMPILE$CC --version | head -n 1`
+ dnl
+ dnl Test section, uncomment any of these double lines to verify the bellow code:
+ dnl